﻿Option Strict On
Imports System.Net.Http

Public NotInheritable Class MainPage
    Inherits Page

    Public Class NewsInfo
        Property title As String
        Property link As String
    End Class
    Protected Overrides Async Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)

        Dim myUrl = "http://rss.dailynews.yahoo.co.jp/fc/domestic/rss.xml"
        Dim myHttpClient As New HttpClient
        Dim myResult As String = Await myHttpClient.GetStringAsync(myUrl)
        Dim xmldoc As XElement = XElement.Parse(myResult)
        Dim myPubDate As String = xmldoc.Descendants("item").Elements("pubDate").Value
        Dim displayDate As String = myPubDate.Substring(0, 16)
        TitleTextBlock.Text = displayDate & " の国内ニュース"
        Dim myNewsInfo As New List(Of NewsInfo)
        For Each result In From c In xmldoc.Descendants("item") Select c
            With myNewsInfo
                .Add(New NewsInfo With {.title = result.Element("title").Value, .link = result.Element("link").Value})
            End With
        Next
        GridView1.ItemsSource = myNewsInfo
    End Sub


    Private Sub GridView1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles GridView1.SelectionChanged
        myFrame.Visibility = Windows.UI.Xaml.Visibility.Visible
        Dim myPage As String = DirectCast(GridView1.SelectedItem, NewsInfo).link
        myFrame.Navigate(GetType(WebBrowserPage), myPage)
    End Sub

    Private Sub backButton_Click(sender As Object, e As RoutedEventArgs) Handles backButton.Click
        myFrame.Visibility = Windows.UI.Xaml.Visibility.Collapsed
    End Sub
End Class
